package com.kingdee.eas.custom.erp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.erp.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class synPositionToErp extends AbstractBizCtrl implements IsynPositionToErp
{
    public synPositionToErp()
    {
        super();
        registerInterface(IsynPositionToErp.class, this);
    }
    public synPositionToErp(Context ctx)
    {
        super(ctx);
        registerInterface(IsynPositionToErp.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("5476F47A");
    }
    private synPositionToErpController getController() throws BOSException
    {
        return (synPositionToErpController)getBizController();
    }
    /**
     *同步岗位到星瀚-User defined method
     *@param startDate 开始时间 (格式: yyyy-mm-dd hh:mm:ss)
     *@param endDate 结束时间 (格式: yyyy-mm-dd hh:mm:ss)
     */
    public void synPositionToErp(String startDate, String endDate) throws BOSException
    {
        try {
            getController().synPositionToErp(getContext(), startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}